org.apache.olingo.odata2.jpa.processor.api.jpql

## Class JPQLStatement.JPQLStatementBuilder

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.jpql.JPQLStatement.JPQLStatementBuilder

- Enclosing class:
    JPQLStatement

      public abstract static class JPQLStatement.JPQLStatementBuilder
      extends Object

  The abstract class is extended by specific JPQL statement builders for building JPQL statements like
  1. Select statements
  2. Select single statements
  3. Select statements with Join
  4. Insert/Modify/Delete statements
  A default statement builder for building each kind of JPQL statements is provided by the library.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JPQLStatementBuilder()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract JPQLStatement` | `build()` The abstract method is implemented by specific statement builder for building JPQL Statement.
    `protected JPQLStatement` | `createStatement(String statement)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JPQLStatementBuilder

          protected JPQLStatementBuilder()

  - ### Method Detail

    - #### createStatement

          protected final JPQLStatement createStatement(String statement)

    - #### build

          public abstract JPQLStatement build()
                                       throws ODataJPARuntimeException

      The abstract method is implemented by specific statement builder for building JPQL Statement.
      Returns:
        an instance of `JPQLStatement`
      Throws:
        `ODataJPARuntimeException` - in case there are errors building the statements

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.